## org.apache.poi.xslf.usermodel
Class XSLFNotes

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFNotes

All Implemented Interfaces:
  java.lang.Iterable<XSLFShape>, XSLFShapeContainer

    @Beta
    public final class XSLFNotes

extends XSLFSheet

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`XSLFNotesMaster` `getMasterSheet()`
`protected java.lang.String` `getRootElementName()`
`org.openxmlformats.schemas.presentationml.x2006.main.CTNotesSlide` `getXmlObject()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, buildShapes, canDraw, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, draw, getBackground, getCommonSlideData, getFollowMasterGraphics, getPlaceholder, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, importContent, iterator, removeShape, setCommonSlideData`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.presentationml.x2006.main.CTNotesSlide getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getRootElementName

    protected java.lang.String getRootElementName()

  Specified by:
    `getRootElementName` in class `XSLFSheet`

### getMasterSheet

    public XSLFNotesMaster getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.